var __assign = this && this.__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";

function ChartMultiPieOn(props) {
  return _jsxs("svg", __assign({
    width: 48,
    height: 48,
    viewBox: "0 0 48 48",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props, {
    children: [_jsx("path", {
      opacity: 0.1,
      fillRule: "evenodd",
      clipRule: "evenodd",
      d: "M24 17c-9.316 0-16.867 7.552-16.867 16.867H4.066c0-11.009 8.925-19.933 19.934-19.933s19.933 8.924 19.933 19.933h-3.067C40.866 24.552 33.315 17 24 17z",
      fill: "#fff"
    }, void 0), _jsx("path", {
      fillRule: "evenodd",
      clipRule: "evenodd",
      d: "M15.052 17.712a1.533 1.533 0 01-.421 2.127c-4.524 3.028-7.498 8.181-7.498 14.028H4.066c0-6.913 3.52-13.003 8.859-16.576a1.533 1.533 0 012.127.42z",
      fill: "url(#chart_multi_pie_on0_linear)"
    }, void 0), _jsx("path", {
      fillRule: "evenodd",
      clipRule: "evenodd",
      d: "M24 26.2a7.667 7.667 0 00-7.667 7.667h-6.134c0-7.621 6.179-13.8 13.8-13.8 7.622 0 13.8 6.179 13.8 13.8h-6.133a7.667 7.667 0 00-7.667-7.666z",
      fill: "url(#chart_multi_pie_on1_linear)"
    }, void 0), _jsx("path", {
      d: "M47 33.867c0 .424-10.297.767-23 .767s-23-.343-23-.767c0-.423 10.297-.766 23-.766s23 .343 23 .766z",
      fill: "#5E616D"
    }, void 0), _jsxs("defs", {
      children: [_jsxs("linearGradient", __assign({
        id: "chart_multi_pie_on0_linear",
        x1: 5.6,
        y1: 34.703,
        x2: 27.066,
        y2: 18.533,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#fff"
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff",
          stopOpacity: 0
        }, void 0)]
      }), void 0), _jsxs("linearGradient", __assign({
        id: "chart_multi_pie_on1_linear",
        x1: 11.477,
        y1: 32.973,
        x2: 41.888,
        y2: 32.973,
        gradientUnits: "userSpaceOnUse"
      }, {
        children: [_jsx("stop", {
          stopColor: "#fff"
        }, void 0), _jsx("stop", {
          offset: 1,
          stopColor: "#fff",
          stopOpacity: 0
        }, void 0)]
      }), void 0)]
    }, void 0)]
  }), void 0);
}

export var ReactComponent = ChartMultiPieOn;
export default ChartMultiPieOn;

